All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Class OLAPException

    com.sas.storage.olap.OLAPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OLAPWarning

    public class OLAPException

An exception that provides information on a database access error or other errors. Each OLAPException provides several kinds of information: A string describing the error. This is used as the Java Exception message, available via the method getMesage. An integer error code that is specific to each vendor. Normally this will be the actual error code returned by the underlying database.

See Also:
  `OLAPWarning`, Serialized Form

Constructor Summary
`OLAPException()` Constructs an OLAPException object; reason defaults to null and vendorCode defaults to 0.
`OLAPException(java.lang.String reason)` Constructs an OLAPException object with a reason; vendorCode defaults to 0.
`OLAPException(java.lang.String reason, int vendorCode)` Constructs a fully-specified OLAPException object.
`OLAPException(java.lang.Throwable targetException)`
`OLAPException(java.lang.Throwable targetException, java.lang.String reason)`
`OLAPException(java.lang.Throwable targetException, java.lang.String reason, int vendorCode)`

Method Summary
`int` | `getErrorCode()` Retrieves the vendor-specific exception code for this OLAPException object.

Constructor Detail

### OLAPException

    public OLAPException()

  Constructs an OLAPException object; reason defaults to null and vendorCode defaults to 0.

### OLAPException

    public OLAPException(java.lang.String reason)

  Constructs an OLAPException object with a reason; vendorCode defaults to 0.

### OLAPException

    public OLAPException(java.lang.String reason,
                         int vendorCode)

  Constructs a fully-specified OLAPException object.

### OLAPException

    public OLAPException(java.lang.Throwable targetException,
                         java.lang.String reason)

### OLAPException

    public OLAPException(java.lang.Throwable targetException)

### OLAPException

    public OLAPException(java.lang.Throwable targetException,
                         java.lang.String reason,
                         int vendorCode)

Method Detail

### getErrorCode

    public int getErrorCode()

  Retrieves the vendor-specific exception code for this OLAPException object.

  Returns:
    The vendor-specific exception code for this OLAPException object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.